=== modified file 'TODO.txt'
--- TODO.txt	2006-09-17 14:32:05 +0000
+++ TODO.txt	2006-09-27 17:56:26 +0000
@@ -1,23 +1,6 @@
 TODO list for Olive
 -------------------
 
-[DONE] Be able to install into other locations than /usr (LarstiQ)
-[DONE] Investigate TortoiseSVN-like commit/add dialogs (LarstiQ)
-   http://samba.org/~jelmer/bzr/gcommit.png
-[DONE] HIGify the interface (Matthieu Moy)
-[DONE] Consistent placement of buttons (Matthieu Moy)
-[DONE] Display the count of pushed revisions on push (phanatic)
- - Display the commit file selector as a tree (so whole directories can be
-   toggled) (j-a-meinel)
-[DONE] "Probe location" button on the Push dialog (test write access, etc.) (ddaa)
-[DONE] Save and restore main window position and size (phanatic)
-[DONE] Real sensitive context menu - e.g. options are grey if not a branch
-   (phanatic)
-[DONE] Implement 'bzr missing' (phanatic)
- - Implement 'bzr uncommit' (phanatic)
- - Implement bundle handling - at least creating them (phanatic)
-[DONE] Testing on Windows platform (phanatic)
-[DONE] i18n/l10n with gettext (phanatic)
-[DONE] Bookmarks should have a 'title' attribute (phanatic)
-[PART-DONE] Open files on double-click, and add Open option to context menu (Aaadam)
-[DONE] Display a "No changes." text in the Status window, if tree is empty (Áron Novák)
+- Use networkmanager to figure out whether to do local or bound commits  
+  in case of bound branches/checkouts.
+- Generic wrapper that displays dialogs for bzr exceptions

=== modified file 'olive/add.py'
--- olive/add.py	2006-09-27 17:49:18 +0000
+++ olive/add.py	2006-09-27 17:56:26 +0000
@@ -32,14 +32,11 @@
 
 class OliveAdd:
     """ Display the Add file(s) dialog and perform the needed actions. """
-    def __init__(self, gladefile, comm):
+    def __init__(self, gladefile, wt, wtpath):
         """ Initialize the Add file(s) dialog. """
         self.gladefile = gladefile
         self.glade = gtk.glade.XML(self.gladefile, 'window_add', 'olive-gtk')
         
-        # Communication object
-        self.comm = comm
-        
         self.window = self.glade.get_widget('window_add')
         
         # Dictionary for signal_autoconnect
@@ -49,6 +46,9 @@
         # Connect the signals to the handlers
         self.glade.signal_autoconnect(dic)
 
+		self.wt = wt
+		self.wtpath = wtpath
+
     def display(self):
         """ Display the Add file(s) dialog. """
         self.window.show_all()
@@ -57,9 +57,6 @@
         radio_selected = self.glade.get_widget('radiobutton_add_selected')
         radio_unknown = self.glade.get_widget('radiobutton_add_unknown')
         
-        directory = self.comm.get_path()
-        
-        self.comm.set_busy(self.window)
         if radio_selected.get_active():
             # Add only the selected file
             filename = self.comm.get_selected_right()

=== modified file 'olive/ui.py'
--- olive/ui.py	2006-09-05 01:55:34 +0000
+++ olive/ui.py	2006-09-27 17:56:26 +0000
@@ -91,10 +91,7 @@
         dialog = PromptDialog(prompt)
         response = dialog.run()
         dialog.destroy()
-        if response == gtk.RESPONSE_YES:
-            return True
-        else:
-            return False
+        return (response == gtk.RESPONSE_YES)
         
     @deprecated_method(zero_eight)
     def progress_bar(self):

